## kmix 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
project(kmix VERSION ${KMIX_VERSION})
# SOVERSION of the kmixcore library
set(KMIX_VERSION_MAJOR 5)
# Version of the configuration, originally from core/version.h
set(KMIX_CONFIG_VERSION 3)

####################################################################################################
########### options ################################################################################
####################################################################################################

# Plasma dataengines are apparently deprecated and will be removed in Plasma 6
option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)

####################################################################################################
########### dependencies and tests #################################################################
####################################################################################################

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.90.0")
set (PA_MIN_VERSION "0.9.16")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    DBus
    Gui
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    Crash
    DBusAddons
    DocTools
    GlobalAccel
    I18n
    Notifications
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
)

if (BUILD_DATAENGINE)
  find_package(KF5Plasma ${KF5_MIN_VERSION} REQUIRED)
  set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the Plasma dataengine")
endif ()

# PulseAudio is an optional dependency
find_package(PulseAudio "${PA_MIN_VERSION}")

# Canberra is an optional dependency
find_package(Canberra)

# ALSA is an optional dependency
find_package(ALSA)

####################################################################################################
########### compile definitions ####################################################################
####################################################################################################

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

add_definitions(-DTRANSLATION_DOMAIN=\"kmix\")
add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})

if (ALSA_FOUND)
  set(HAVE_LIBASOUND2 TRUE)
  add_definitions(-DHAVE_LIBASOUND2)
endif ()

if (PulseAudio_FOUND)
  add_definitions(-DHAVE_PULSE)
endif ()

if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)
endif ()

####################################################################################################
########### subdirectories #########################################################################
####################################################################################################

add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(profiles)

if (BUILD_DATAENGINE)
  if (KF5Plasma_FOUND)
    add_subdirectory(plasma)
  endif ()
endif ()

####################################################################################################
########### definitions: logging ###################################################################
####################################################################################################

ecm_qt_declare_logging_category(kmix_debug_SRCS
                                HEADER kmix_debug.h
                                IDENTIFIER KMIX_LOG
                                EXPORT kmixlogging
                                DESCRIPTION "KMix sound mixer and volume control"
                                CATEGORY_NAME org.kde.kmix)

####################################################################################################
########### definitions: DBus adaptor ##############################################################
####################################################################################################

set(kmix_adaptor_SRCS
  dbus/dbusmixerwrapper.cpp
  dbus/dbusmixsetwrapper.cpp
  dbus/dbuscontrolwrapper.cpp
)

qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )

install(FILES dbus/org.kde.kmix.control.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixset.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

####################################################################################################
########### definitions: backends ##################################################################
####################################################################################################

set(kmix_backend_SRCS
  backends/mixer_backend.cpp
  backends/mixer_mpris2.cpp
)

if (HAVE_LIBASOUND2)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_alsa9.cpp backends/mixer_alsa9.h)
endif ()

if (PulseAudio_FOUND)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_pulse.cpp backends/mixer_pulse.h)
endif ()

####################################################################################################
########### target: kmixcore library ###############################################################
####################################################################################################

set(kmixcore_SRCS
  core/MediaController.cpp
  core/mixertoolbox.cpp
  core/kmixdevicemanager.cpp
  core/ControlManager.cpp
  core/MasterControl.cpp
  core/mixer.cpp
  core/mixset.cpp
  core/mixdevice.cpp
  core/mixdevicecomposite.cpp
  core/volume.cpp
  core/MediaController.h
  core/mixertoolbox.h
  core/kmixdevicemanager.h
  core/ControlManager.h
  core/MasterControl.h
  core/mixer.h
  core/mixset.h
  core/mixdevice.h
  core/mixdevicecomposite.h
  core/volume.h
)

kconfig_add_kcfg_files(kmixcore_SRCS core/settings.kcfgc)

add_library(kmixcore SHARED
  ${kmixcore_SRCS}
  ${kmix_adaptor_SRCS}
  ${kmix_backend_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixcore
  PUBLIC
    Qt::Core
    Qt::Widgets
  PRIVATE
    Qt::Xml
    Qt::DBus
    KF5::I18n
    KF5::Solid
  PUBLIC
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
)

set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)

if (HAVE_LIBASOUND2)
  target_link_libraries(kmixcore PRIVATE ALSA::ALSA)
endif ()

if (PulseAudio_FOUND)
  target_link_libraries(kmixcore PRIVATE PulseAudio::PulseAudio)
endif ()

if (CANBERRA_FOUND)
  # VolumeFeedback calls Canberra directly, so public linking is required
  target_link_libraries(kmixcore PUBLIC Canberra::Canberra)
endif ()

install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
install(FILES core/settings.kcfg RENAME kmixsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

####################################################################################################
########### target: kmixgui library ################################################################
####################################################################################################

set(kmixgui_SRCS
  gui/dialogbase.cpp
  gui/dialogstatesaver.cpp
  gui/kmixdockwidget.cpp
  gui/kmixprefdlg.cpp
  gui/viewbase.cpp
  gui/viewdockareapopup.cpp
  gui/viewsliders.cpp
  gui/mixdevicewidget.cpp
  gui/mdwslider.cpp
  gui/mdwenum.cpp
  gui/kmixerwidget.cpp
  gui/verticaltext.cpp
  gui/volumeslider.cpp
  gui/kmixtoolbox.cpp
  gui/dialogaddview.cpp
  gui/dialogviewconfiguration.cpp
  gui/dialogselectmaster.cpp
  gui/dialogchoosebackends.cpp
  gui/guiprofile.cpp
  gui/toggletoolbutton.cpp
  gui/dialogbase.h
  gui/dialogstatesaver.h
  gui/kmixdockwidget.h
  gui/kmixprefdlg.h
  gui/viewbase.h
  gui/viewdockareapopup.h
  gui/viewsliders.h
  gui/mixdevicewidget.h
  gui/mdwslider.h
  gui/mdwenum.h
  gui/kmixerwidget.h
  gui/verticaltext.h
  gui/volumeslider.h
  gui/kmixtoolbox.h
  gui/dialogaddview.h
  gui/dialogviewconfiguration.h
  gui/dialogselectmaster.h
  gui/dialogchoosebackends.h
  gui/guiprofile.h
  gui/toggletoolbutton.h
)

add_library(kmixgui STATIC
  ${kmixgui_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixgui
  kmixcore
  Qt::Core
  Qt::Widgets
  KF5::I18n
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::GlobalAccel
  KF5::Notifications
  KF5::XmlGui
  KF5::WindowSystem
)

####################################################################################################
########### target: kmix ###########################################################################
####################################################################################################

set(kmix_SRCS
  apps/main.cpp
  apps/kmixwindow.cpp
  apps/kmixapp.cpp
  apps/kmixwindow.h
  apps/kmixapp.h
  ${kmix_debug_SRCS}
)

if (CANBERRA_FOUND)
  set(kmix_SRCS ${kmix_SRCS} apps/volumefeedback.cpp apps/volumefeedback.h)
endif ()

add_executable(kmix ${kmix_SRCS})
target_link_libraries(kmix
  kmixcore
  kmixgui
  KF5::I18n
  KF5::CoreAddons
  KF5::DBusAddons
  KF5::GlobalAccel
  KF5::XmlGui
  KF5::Notifications
  KF5::WindowSystem
)

install(TARGETS kmix ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES desktop/kmixui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kmix)
install(PROGRAMS desktop/org.kde.kmix.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES desktop/org.kde.kmix.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES desktop/kmix_autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES desktop/kmix.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

####################################################################################################
########### target: kded_kmixd #####################################################################
####################################################################################################

set(kmixd_SRCS
  apps/kmixd.cpp
  ${kmix_debug_SRCS}
)

add_library(kded_kmixd MODULE ${kmixd_SRCS})
set_target_properties(kded_kmixd PROPERTIES OUTPUT_NAME kmixd)
kcoreaddons_desktop_to_json(kded_kmixd desktop/kmixd.desktop)

target_link_libraries(kded_kmixd
  kmixcore
  KF5::I18n
  KF5::CoreAddons
  KF5::DBusAddons
)

install(TARGETS kded_kmixd DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

####################################################################################################
########### target: kmixctrl #######################################################################
####################################################################################################

set(kmixctrl_SRCS
  apps/kmixctrl.cpp
  ${kmix_debug_SRCS}
)

add_executable(kmixctrl ${kmixctrl_SRCS})
target_link_libraries(kmixctrl
  kmixcore
  KF5::I18n
  KF5::CoreAddons
)

install(TARGETS kmixctrl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kmix (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:55 +0100

kmix (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:37:52 +0100

kmix (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:46 +0100

kmix (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:59 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5globalaccel-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5solid-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libpulse-dev (>= 0.9.16),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kmix
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: x-audio-mixer,
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 23.08.0

=== debian/changelog ===
kmix (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:31 +0100

kmix (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:12 +0100

kmix (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:07 +0100

kmix (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:28 +0100

kmix (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:22 +0000

kmix (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:20:23 -0600

kmix (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:30 +0000

kmix (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 17:57:50 +0000

kmix (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:11:48 +0000

kmix (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:06 +0000

kmix (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Refresh kmix_showeverywhere.diff

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:51:58 +0000

kmix (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:18 +0000

## kmix 23.08.1

=== debian/changelog ===
kmix (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:01:35 +0100

## kmix 23.08.4

=== debian/changelog ===
kmix (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:17:44 +0000

kmix (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:37:42 +0000

kmix (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:33:39 +0100

## kmix 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
project(kmix VERSION ${KMIX_VERSION})
# SOVERSION of the kmixcore library
set(KMIX_VERSION_MAJOR 5)
# Version of the configuration, originally from core/version.h
set(KMIX_CONFIG_VERSION 3)

####################################################################################################
########### options ################################################################################
####################################################################################################

# Plasma dataengines are apparently deprecated and will be removed in Plasma 6
option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)

# For testing OSS4 build on Linux with 4Front OSS4 installed
#
# The OSS4_INCLUDES variable must point to the prototype/usr/lib/oss/include
# directory in a built (but does not have to be installed) OSS4 source tree.
set(OSS4_INCLUDES "" CACHE PATH "Include path for OSS4 include files")

####################################################################################################
########### dependencies and tests #################################################################
####################################################################################################

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.101.0")
set(PA_MIN_VERSION "0.9.16")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(GenerateExportHeader)
include(CheckIncludeFile)
include(CheckSourceRuns)
include(CheckStructHasMember)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    DBus
    Gui
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    Crash
    DBusAddons
    DocTools
    GlobalAccel
    I18n
    Notifications
    Solid
    WidgetsAddons
    WindowSystem
    XmlGui
)

if (BUILD_DATAENGINE)
  find_package(KF5Plasma ${KF5_MIN_VERSION} REQUIRED)
  set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the Plasma dataengine")
endif ()

####################################################################################################
########### sound backend support ##################################################################
####################################################################################################

# Sun Audio, only for that platform
check_include_file("sys/audioio.h" HAVE_SYS_AUDIOIO_H)
if (HAVE_SYS_AUDIOIO_H)
  message(STATUS "Building with Sun audio support")
  set(HAVE_SUN_MIXER true)
  add_definitions(-DHAVE_SUN_MIXER)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "Sun")
endif ()

# OSS, Linux or BSD
if (NOT (OSS4_INCLUDES STREQUAL ""))
  set(CMAKE_REQUIRED_INCLUDES ${OSS4_INCLUDES})
  set(TEST_COMPILE_FLAGS "-I${OSS4_INCLUDES}")
  message(STATUS "OSS4 includes: ${OSS4_INCLUDES}")
endif ()

check_include_file("soundcard.h" HAVE_SOUNDCARD_H)
check_include_file("sys/soundcard.h" HAVE_SYS_SOUNDCARD_H)
if (HAVE_SOUNDCARD_H OR HAVE_SYS_SOUNDCARD_H)
  add_definitions(-DHAVE_OSS_MIXER)
  set(HAVE_OSS_MIXER true)
  if (HAVE_SOUNDCARD_H)
    set(TEST_COMPILE_FLAGS "${TEST_COMPILE_FLAGS} -DHAVE_SOUNDCARD_H")
    add_definitions(-DHAVE_SOUNDCARD_H)
  endif ()
  if (HAVE_SYS_SOUNDCARD_H)
    set(TEST_COMPILE_FLAGS "${TEST_COMPILE_FLAGS} -DHAVE_SYS_SOUNDCARD_H")
    add_definitions(-DHAVE_SYS_SOUNDCARD_H)
  endif ()

  # Running a program is hopefully more reliable than trying to
  # grep through header files to find a definition.  Need try_run()
  # here so as to be able to read the output result.
  try_run(TEST_RUN_RESULT TEST_COMPILE_RESULT
          ${CMAKE_CURRENT_BINARY_DIR}
          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/ossversion.c
          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}"
          RUN_OUTPUT_VARIABLE TEST_RESULT_VERSION)
  #message(STATUS "TEST_RUN_RESULT= ${TEST_RUN_RESULT}")
  #message(STATUS "TEST_COMPILE_RESULT= ${TEST_COMPILE_RESULT}")
  #message(STATUS "TEST_RESULT_VERSION= ${TEST_RESULT_VERSION}")

  if (${TEST_COMPILE_RESULT} AND (${TEST_RUN_RESULT} EQUAL 0))
    message(STATUS "Detected OSS version ${TEST_RESULT_VERSION}")
    if (${TEST_RESULT_VERSION} GREATER_EQUAL 0x040000)
      message(STATUS "Building with OSS 4 support")
      set(HAVE_OSS_4 true)
      add_definitions(-DHAVE_OSS_4)
      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS4")

      # This is included in 4Front OSS 4 but not in standard BSD.
      # Not possible to test at compile time.  Both of those appear
      # to have sys/soundcard.h and not soundcard.h installed.
      check_struct_has_member(oss_mixerinfo devnode sys/soundcard.h HAVE_MIXERINFO_DEVNODE)
      if (HAVE_MIXERINFO_DEVNODE)
	add_definitions(-DHAVE_MIXERINFO_DEVNODE)
      endif ()
    else ()
      message(STATUS "Building with OSS 3 support")
      set(HAVE_OSS_3 true)
      add_definitions(-DHAVE_OSS_3)
      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
    endif ()
  else ()
    message(STATUS "Unable to get OSS version, assuming 3")
    set(HAVE_OSS_3 true)
    add_definitions(-DHAVE_OSS_3)
    set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
  endif ()
endif ()

# PulseAudio, optional
find_package(PulseAudio "${PA_MIN_VERSION}")
if (PulseAudio_FOUND)
  message(STATUS "Building with PulseAudio support")
  set(HAVE_PULSEAUDIO true)
  add_definitions(-DHAVE_PULSEAUDIO)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "PulseAudio")
endif ()

# ALSA, optional
find_package(ALSA)
if (ALSA_FOUND)
  message(STATUS "Building with ALSA support")
  set(HAVE_ALSA_MIXER true)
  add_definitions(-DHAVE_ALSA_MIXER)
  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "ALSA")
endif ()

message(STATUS "Supported backends: ${SUPPORTED_BACKENDS}")

# Canberra, optional for volume feedback
find_package(Canberra)
if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)
endif ()

####################################################################################################
########### compile definitions ####################################################################
####################################################################################################

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

if (NOT (OSS4_INCLUDES STREQUAL ""))
  include_directories(BEFORE ${OSS4_INCLUDES})
endif ()

add_definitions(-DTRANSLATION_DOMAIN=\"kmix\")
add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})

####################################################################################################
########### subdirectories #########################################################################
####################################################################################################

add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(profiles)

if (BUILD_DATAENGINE)
  if (KF5Plasma_FOUND)
    add_subdirectory(plasma)
  endif ()
endif ()

####################################################################################################
########### definitions: logging ###################################################################
####################################################################################################

ecm_qt_declare_logging_category(kmix_debug_SRCS
                                HEADER kmix_debug.h
                                IDENTIFIER KMIX_LOG
                                EXPORT kmixlogging
                                DESCRIPTION "KMix sound mixer and volume control"
                                CATEGORY_NAME org.kde.kmix)

####################################################################################################
########### definitions: DBus adaptor ##############################################################
####################################################################################################

set(kmix_adaptor_SRCS
  dbus/dbusmixerwrapper.cpp
  dbus/dbusmixsetwrapper.cpp
  dbus/dbuscontrolwrapper.cpp
)

qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )

install(FILES dbus/org.kde.kmix.control.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixer.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES dbus/org.kde.kmix.mixset.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

####################################################################################################
########### definitions: backends ##################################################################
####################################################################################################

set(kmix_backend_SRCS backends/mixerbackend.cpp backends/mixer_mpris2.cpp)

if (HAVE_ALSA_MIXER)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_alsa9.cpp)
endif ()

if (HAVE_PULSEAUDIO)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_pulse.cpp)
endif ()

if (HAVE_SUN_MIXER)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_sun.cpp)
endif ()

if (HAVE_OSS_3)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_oss.cpp)
endif ()

if (HAVE_OSS_4)
  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_oss4.cpp)
endif ()

####################################################################################################
########### target: kmixcore library ###############################################################
####################################################################################################

set(kmixcore_SRCS
  core/MediaController.cpp
  core/mixertoolbox.cpp
  core/kmixdevicemanager.cpp
  core/ControlManager.cpp
  core/MasterControl.cpp
  core/mixer.cpp
  core/mixset.cpp
  core/mixdevice.cpp
  core/mixdevicecomposite.cpp
  core/volume.cpp
)

kconfig_add_kcfg_files(kmixcore_SRCS core/settings.kcfgc)

add_library(kmixcore SHARED
  ${kmixcore_SRCS}
  ${kmix_adaptor_SRCS}
  ${kmix_backend_SRCS}
  ${kmix_debug_SRCS}
)

target_link_libraries(kmixcore
  PUBLIC
    Qt::Core
    Qt::Widgets
  PRIVATE
    Qt::Xml
    Qt::DBus
    KF5::I18n
    KF5::Solid
  PUBLIC
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::CoreAddons
)

set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)

if (HAVE_ALSA_MIXER)
  target_link_libraries(kmixcore PRIVATE ALSA::ALSA)
endif ()

if (HAVE_PULSEAUDIO)
  target_link_libraries(kmixcore PRIVATE PulseAudio::PulseAudio)
endif ()

if (CANBERRA_FOUND)
  # VolumeFeedback calls Canberra directly, so public linking is required
  target_link_libraries(kmixcore PUBLIC Canberra::Canberra)
endif ()

install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
install(FILES core/settings.kcfg RENAME kmixsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

####################################################################################################

=== tests/CMakeLists.txt ===
########### next target ###############
set(profiletest_SRCS profiletest.cpp )

add_executable(profiletest ${profiletest_SRCS})

target_link_libraries(profiletest
    kmixgui
    Qt::Core
    Qt::DBus
    Qt::Test
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::I18n
    KF5::Solid
)

add_test(NAME profiletest
    COMMAND profiletest
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

=== debian/changelog ===
kmix (4:23.08.5-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:01:19 +1100

kmix (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:22:43 +0100

kmix (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:08:40 +0000

kmix (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:37:47 +0000

kmix (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:06:45 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kmix
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -28,17 +29,17 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kmix
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
 
 Package: kmix
 Section: sound
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Provides: x-audio-mixer,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: x-audio-mixer
 Description: volume control and mixer
  KMix is an audio device mixer, used to adjust volume, select recording inputs,
  and set other hardware options.

## kmix 24.12.0

=== debian/changelog ===
kmix (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Refresh patches.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch away from transitional pkg-config build dependency.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 23:52:30 +0100

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libasound2-dev [linux-any],
               libcanberra-dev,
               libkf6config-dev (>= 6.1.0~),
               libkf6configwidgets-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6crash-dev (>= 6.1.0~),
               libkf6dbusaddons-dev (>= 6.1.0~),
               libkf6doctools-dev (>= 6.1.0~),
               libkf6globalaccel-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6notifications-dev (>= 6.1.0~),
               libkf6solid-dev (>= 6.1.0~),
               libkf6statusnotifieritem-dev (>= 6.1.0~),
               libkf6widgetsaddons-dev (>= 6.1.0~),
               libkf6windowsystem-dev (>= 6.1.0~),
               libkf6xmlgui-dev (>= 6.1.0~),
               libpulse-dev (>= 0.9.16),
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               qt6-base-dev (>= 6.3.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kmix
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: x-audio-mixer,
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 24.12.1

=== debian/changelog ===
kmix (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:34:33 +0000

## kmix 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,21 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
 project(kmix VERSION ${KMIX_VERSION})
-# SOVERSION of the kmixcore library
-set(KMIX_VERSION_MAJOR 5)
-# Version of the configuration, originally from core/version.h
-set(KMIX_CONFIG_VERSION 3)
 
 ####################################################################################################
 ########### options ################################################################################
 ####################################################################################################
 
-# Plasma dataengines are apparently deprecated and will be removed in Plasma 6
-option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)
+# Plasma dataengines are deprecated, needs at least porting to Plasma5Support as an intermediate
+# step, or should be removed
+#option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)
 
 # For testing OSS4 build on Linux with 4Front OSS4 installed
 #
@@ -30,11 +27,18 @@
 ########### dependencies and tests #################################################################
 ####################################################################################################
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.101.0")
+set(QT_MIN_VERSION "6.3.0")
+set(KF_MIN_VERSION "6.1.0")
+
+# SOVERSION of the kmixcore library
+set(KMIX_VERSION_MAJOR 6)
+# Version of the configuration, originally from core/version.h
+set(KMIX_CONFIG_VERSION 3)
+
 set(PA_MIN_VERSION "0.9.16")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -49,7 +53,7 @@
 include(CheckSourceRuns)
 include(CheckStructHasMember)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
     Core
     DBus
     Gui
@@ -57,10 +61,11 @@
     Xml
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-    Completion
+find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     ConfigWidgets
+    Crash
+    CoreAddons
     Crash
     DBusAddons
     DocTools
@@ -68,15 +73,19 @@
     I18n
     Notifications
     Solid
+    StatusNotifierItem
     WidgetsAddons
     WindowSystem
     XmlGui
 )
 
-if (BUILD_DATAENGINE)
-  find_package(KF5Plasma ${KF5_MIN_VERSION} REQUIRED)
-  set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the Plasma dataengine")
-endif ()
+
+# Needs at least porting to Plasma5Support as an intermediate step, or should be removed
+#if (BUILD_DATAENGINE)
+#  find_package(Plasma5Support 6.0 REQUIRED)
+#  set_package_properties(Plasma5Support PROPERTIES PURPOSE "Required to build the Plasma dataengine")
+#endif ()
+
 
 ####################################################################################################
 ########### sound backend support ##################################################################
@@ -112,21 +121,21 @@
     add_definitions(-DHAVE_SYS_SOUNDCARD_H)
   endif ()
 
-  # Running a program is hopefully more reliable than trying to
-  # grep through header files to find a definition.  Need try_run()
-  # here so as to be able to read the output result.
-  try_run(TEST_RUN_RESULT TEST_COMPILE_RESULT
+  # Comparing with preprocessor is hopefully more reliable than trying to
+  # grep through header files to find a definition.  Unlike try_run(),
+  # causes no problem for cross-compilation.
+  try_compile(OSS3_COMPILE_RESULT
           ${CMAKE_CURRENT_BINARY_DIR}
-          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/ossversion.c
-          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}"
-          RUN_OUTPUT_VARIABLE TEST_RESULT_VERSION)
-  #message(STATUS "TEST_RUN_RESULT= ${TEST_RUN_RESULT}")
-  #message(STATUS "TEST_COMPILE_RESULT= ${TEST_COMPILE_RESULT}")
-  #message(STATUS "TEST_RESULT_VERSION= ${TEST_RESULT_VERSION}")
-
-  if (${TEST_COMPILE_RESULT} AND (${TEST_RUN_RESULT} EQUAL 0))
-    message(STATUS "Detected OSS version ${TEST_RESULT_VERSION}")
-    if (${TEST_RESULT_VERSION} GREATER_EQUAL 0x040000)
+          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ossversion3.c
+          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}")
+  try_compile(OSS4_COMPILE_RESULT
+          ${CMAKE_CURRENT_BINARY_DIR}
+          SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ossversion4.c
+          COMPILE_DEFINITIONS "${TEST_COMPILE_FLAGS}")
+  #message(STATUS "OSS3_COMPILE_RESULT= ${OSS3_COMPILE_RESULT}")
+  #message(STATUS "OSS4_COMPILE_RESULT= ${OSS4_COMPILE_RESULT}")
+
+  if (${OSS4_COMPILE_RESULT})
       message(STATUS "Building with OSS 4 support")
       set(HAVE_OSS_4 true)
       add_definitions(-DHAVE_OSS_4)
@@ -137,20 +146,19 @@
       # to have sys/soundcard.h and not soundcard.h installed.
       check_struct_has_member(oss_mixerinfo devnode sys/soundcard.h HAVE_MIXERINFO_DEVNODE)
       if (HAVE_MIXERINFO_DEVNODE)
-	add_definitions(-DHAVE_MIXERINFO_DEVNODE)
+        add_definitions(-DHAVE_MIXERINFO_DEVNODE)
       endif ()
-    else ()
+    elseif (${OSS3_COMPILE_RESULT})
       message(STATUS "Building with OSS 3 support")
       set(HAVE_OSS_3 true)
       add_definitions(-DHAVE_OSS_3)
       set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
+    else ()
+      message(STATUS "Unable to get OSS version, assuming 3")
+      set(HAVE_OSS_3 true)
+      add_definitions(-DHAVE_OSS_3)
+      set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
     endif ()
-  else ()
-    message(STATUS "Unable to get OSS version, assuming 3")
-    set(HAVE_OSS_3 true)
-    add_definitions(-DHAVE_OSS_3)
-    set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "OSS")
-  endif ()
 endif ()
 
 # PulseAudio, optional
@@ -193,6 +201,10 @@
 add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
 add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})
 
+remove_definitions("-DQT_NO_KEYWORDS")
+remove_definitions("-DQT_NO_CAST_FROM_ASCII")
+remove_definitions("-DQT_NO_CAST_FROM_BYTEARRAY")
+
 ####################################################################################################
 ########### subdirectories #########################################################################
 ####################################################################################################
@@ -202,7 +214,7 @@
 add_subdirectory(profiles)
 
 if (BUILD_DATAENGINE)
-  if (KF5Plasma_FOUND)
+  if (Plasma5Support_FOUND)
     add_subdirectory(plasma)
   endif ()
 endif ()
@@ -298,12 +310,12 @@
   PRIVATE
     Qt::Xml
     Qt::DBus
-    KF5::I18n
-    KF5::Solid
+    KF6::I18n
+    KF6::Solid
   PUBLIC
-    KF5::ConfigCore
-    KF5::ConfigGui
-    KF5::CoreAddons
+    KF6::ConfigCore
+    KF6::ConfigGui
+    KF6::CoreAddons
 )
 
 set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
@@ -323,6 +335,3 @@
 endif ()
 
 install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
-install(FILES core/settings.kcfg RENAME kmixsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-
-####################################################################################################

=== debian/changelog ===
kmix (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:44:44 +0000

kmix (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:19:25 +0000

## kmix 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
@@ -91,6 +91,15 @@
 ########### sound backend support ##################################################################
 ####################################################################################################
 
+# sndio, only for that platform
+check_include_file("sndio.h" HAVE_SYS_SNDIO_H)
+if (HAVE_SYS_SNDIO_H)
+  message(STATUS "Building with sndio support")
+  set(HAVE_SNDIO_MIXER true)
+  add_definitions(-DHAVE_SNDIO_MIXER)
+  set(SUPPORTED_BACKENDS ${SUPPORTED_BACKENDS} "Sndio")
+endif ()
+
 # Sun Audio, only for that platform
 check_include_file("sys/audioio.h" HAVE_SYS_AUDIOIO_H)
 if (HAVE_SYS_AUDIOIO_H)
@@ -109,7 +118,7 @@
 
 check_include_file("soundcard.h" HAVE_SOUNDCARD_H)
 check_include_file("sys/soundcard.h" HAVE_SYS_SOUNDCARD_H)
-if (HAVE_SOUNDCARD_H OR HAVE_SYS_SOUNDCARD_H)
+if ((HAVE_SOUNDCARD_H OR HAVE_SYS_SOUNDCARD_H) AND NOT HAVE_SYS_SNDIO_H)
   add_definitions(-DHAVE_OSS_MIXER)
   set(HAVE_OSS_MIXER true)
   if (HAVE_SOUNDCARD_H)
@@ -163,6 +172,10 @@
 
 # PulseAudio, optional
 find_package(PulseAudio "${PA_MIN_VERSION}")
+set_package_properties(PulseAudio PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Pulse audio support"
+)
 if (PulseAudio_FOUND)
   message(STATUS "Building with PulseAudio support")
   set(HAVE_PULSEAUDIO true)
@@ -263,6 +276,10 @@
 
 if (HAVE_PULSEAUDIO)
   set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_pulse.cpp)
+endif ()
+
+if (HAVE_SNDIO_MIXER)
+  set(kmix_backend_SRCS ${kmix_backend_SRCS} backends/mixer_sndio.cpp)
 endif ()
 
 if (HAVE_SUN_MIXER)
@@ -319,19 +336,3 @@
 )
 
 set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
-generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)
-
-if (HAVE_ALSA_MIXER)
-  target_link_libraries(kmixcore PRIVATE ALSA::ALSA)
-endif ()
-
-if (HAVE_PULSEAUDIO)
-  target_link_libraries(kmixcore PRIVATE PulseAudio::PulseAudio)
-endif ()
-
-if (CANBERRA_FOUND)
-  # VolumeFeedback calls Canberra directly, so public linking is required
-  target_link_libraries(kmixcore PUBLIC Canberra::Canberra)
-endif ()
-
-install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)

=== debian/changelog ===
kmix (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:44:28 +0200

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,12 @@
                libkf6windowsystem-dev (>= 6.1.0~),
                libkf6xmlgui-dev (>= 6.1.0~),
                libpulse-dev (>= 0.9.16),
+               pkg-kde-tools (>= 0.15.16),
                pkgconf,
-               pkg-kde-tools (>= 0.15.16),
                qt6-base-dev (>= 6.3.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/kmix
+Homepage: https://apps.kde.org/kmix/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git

## kmix 25.04.3

=== debian/changelog ===
kmix (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:47:48 +0100

kmix (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:50:56 +0100

kmix (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:10:30 +0100

kmix (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:53:49 +0100

## kmix 25.07.80

=== debian/changelog ===
kmix (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:15:29 +0100
